import javax.swing.*;
import java.awt.event.*;
import java.awt.*;

public class FramePrincipale extends JFrame implements ActionListener{
	
	private CryptRL leJeu;
	private PanneauJeu jeuPan;


	
	public FramePrincipale(CryptRL game){
		
		leJeu=game;
		
		
		
		Container c = getContentPane();
		//c.setLayout(null);  
		
		
		
		JMenuBar mnbBarre = new JMenuBar();  	// créer une barre de menus.
		setJMenuBar( mnbBarre );  				// définir la barre de menus pour le JFrame.

		//Les ''JMenuItem'' >>
		
		JMenu mnuMenu = new JMenu("Menu");
		mnbBarre.add(mnuMenu);
		
		//JMenu mnuCredits = new JMenu("Credits");
		//mnbBarre.add(mnuCredits);
		
		
		//Start
		JMenuItem mniStart = new JMenuItem("Start");
		mnuMenu.add(mniStart);    	
		mniStart.addActionListener(this);
		
		
		
		JMenuItem mniLoad = new JMenuItem("Load");
		mnuMenu.add(mniLoad);    	
		mniLoad.addActionListener(this);
		
		
		
		JMenuItem mniHELP = new JMenuItem("Shortcuts");
		mnuMenu.add(mniHELP);
		mniHELP.addActionListener(this);
		
		
		JMenuItem mniCREDITS = new JMenuItem("Credits");
		mnuMenu.add(mniCREDITS);
		mniCREDITS.addActionListener(this);
		
		
		//Quitter
		JMenuItem mniQuitter = new JMenuItem("Exit");
		mnuMenu.add(mniQuitter);    	
		mniQuitter.addActionListener(this);
		
		
		
		ImageIcon image = new ImageIcon("./images/creatures/undead/spectrevert.gif");
		setIconImage(image.getImage());
		
		jeuPan=new PanneauJeu(leJeu);									
		
		
		c.add(jeuPan);
		
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setTitle("CRYPT RogueLike");
		setSize(1024, 725);
		setVisible(true);
		
	}
	
	
	public void actionPerformed(ActionEvent e){
		
		
		String strCommand = e.getActionCommand();

		if (strCommand.compareTo("Exit") == 0){
	
			if (JOptionPane.showConfirmDialog(this, "Exit ?")== JOptionPane.YES_OPTION) System.exit(0);	
		}	
		
		
		//if (strCommand.compareTo("Start") == 0 && !leJeu.started){
		if (strCommand.compareTo("Start") == 0){
			
			new CreationPerso(leJeu,jeuPan);
			//started=true;
		}
		
		if (strCommand.compareTo("Shortcuts") == 0){
	
			
			new PanneauRaccourcis();
		
		}
		
		if (strCommand.compareTo("Credits") == 0){
	
			
			new PanneauCredits();
		
		}
		
		if (strCommand.compareTo("Load") == 0){
			if(!leJeu.jeuInit2){
				
				leJeu.monde=new Monde(jeuPan,leJeu.cat);
				
				leJeu.monde.perso=new Personnage(leJeu.monde,new String(),new String(),0,0,0,0,0,0,0,0,0,0,0,0,0,0);
				jeuPan.resumestatsPanel.nomTxt.setText(leJeu.monde.perso.getNom());
				leJeu.monde.jeuPan=jeuPan;
				leJeu.chargementPremierTerrainPERSO(new String());
				
				jeuPan.terrainPanel=new TerrainPanel(leJeu);
				jeuPan.terrainPanel.setBounds(172,10,640,480);
				jeuPan.add(jeuPan.terrainPanel);
				
				jeuPan.equipementpanel=new EquipementPanel(leJeu);
				jeuPan.equipementpanel.setBounds(817,10,195,450);
				jeuPan.add(jeuPan.equipementpanel);
				
				
				
			}
			leJeu.monde.losOn=true;
			new DialogLoadGame(leJeu.monde);
			
			
		
		}
		
		
		
	}	
		
}






	